# Get a list of processes

Endpoint: GET /get-process-list
Version: 2.1
Security: bearerAuth

## Query parameters:

  - `range-from` (any, required)

  - `range-to` (any, required)

  - `range-type` (string, required)

  - `page-size` (any)

  - `page-no` (any)

  - `ai-pipeline-code` (any)

  - `process-status` (array)

  - `download-ack` (any)

  - `result-processed-ack` (any)

## Response 200 fields (*/*):

  - `metadata` (object)

  - `metadata.timestamp` (any)

  - `metadata.resultCount` (any)

  - `metadata.resultPage` (any)

  - `metadata.resultNumberOfPages` (any)

  - `resultList` (array)

  - `resultList.processId` (any)

  - `resultList.processStep` (any)

  - `resultList.latestActivity` (any)

## Response 400 fields (application/problem+json):

  - `type` (any)

  - `title` (any)

  - `status` (any)

  - `detail` (any)

  - `instance` (any)

